{% extends 'base.html.twig' %}

{% block body %}
    <h2>Listes des messages</h2>
    <div class="row">
        {% if messages %}
        {% for message in messages %}
            {% set delete_form = delete_forms[loop.index0] %}
            <div class="col l4 m3 s12">
                <div class="card">
                    <div class="card-content white-text blue-grey darken-1">
                        <span class="card-title">{{ message.nom }} {{ message.prenom }}</span>
                    </div>
                    <div class="card-content">
                        <p>{{ 'Sujet'|trans }}: {{ message.subject }}</p>
                        <p class="center-align">-</p>
                        <p><i>{{ message.content }}</i></p>
                        <p class="right-align">
                            {% if message.createdAt %}{{ 'Posté le'|trans }}: <i>{{ message.createdAt|date("d-m-Y  H:m") }}</i>{% endif %}
                        </p>
                    </div>
                    <div class="card-action">
                        {{ 'Répondre'|trans }}: <a href="mailto:{{ message.email }}">{{ message.email }}</a>
                    </div>
                    <div class="card-content">
                        {{ form_start(delete_form) }}
                        <button type="submit" class="waves-effect waves-light btn"><i class="material-icons right">delete</i>{{ 'Effacer'|trans }}
                        </button>
                        {{ form_end(delete_form) }}
                    </div>
                </div>
            </div>
        {% endfor %}
        {% else %}
            {{ 'Vous n\'avez aucun message'|trans }}
        {% endif %}
    </div>
{% endblock %}
